let img;
let detector; 


function check(){

    $('#check').prop('disabled', true);

    let c = document.getElementById("myCanvas");
    let ctx = c.getContext("2d");
    ctx.clearRect(0, 0, c.width, c.height);
    ctx.stroke();
    ctx.font = "18px Arial";
    ctx.fillStyle = "black";
    ctx.fillText("Detecting...", 100, 150);
    
    const element = document.getElementById("result");
    element.innerHTML = "Detecting...";

    $("#result").addClass( "border" );
    
    // Initialize Image Classifier with MobileNet.
    detector = ml5.objectDetector('cocossd');
    img = document.getElementById("image"); 
    detector.detect(img, gotDetections);
    
    // Function to run when results arrive
    function gotDetections(error, results) {
     
      if (error) {
        element.innerHTML = error;
      } else {

        var img = document.getElementById('image');
        
        // Draw Image into Canvas        
        ctx.drawImage(img, 0, 0, c.width, c.height);

        for (let i = 0; i < results.length; i++) {
            if(i == 0){ element.innerHTML = ""}; 
            let object = results[i];
            console.log(object)
            let num = results[i].confidence * 100;
            element.innerHTML += "<h5>" + results[i].label + "</h5> Confidence: <b>" + num.toFixed(2) + "%</b><hr></b>";

            ctx.beginPath();
            ctx.lineWidth = "2";
            ctx.strokeStyle = "#00FF00";
            ctx.rect(results[i].x, results[i].y, results[i].width, results[i].height);
            ctx.stroke();
            ctx.font = "18px Arial";
            ctx.fillStyle = "white";
            ctx.fillText(results[i].label, results[i].x + 10, results[i].y + 20);
        }

        
      }
    }
    
    }
    

function readURL(input) {
    if (input.files && input.files[0]) {
        $('#check').prop('disabled', false);
        var reader = new FileReader();

        reader.onload = function (e) {
            $('#image').attr('src', e.target.result);
        };
        reader.readAsDataURL(input.files[0]);
    }
}

$('#check').prop('disabled', true);
